> ## Documentation Index
> Fetch the complete documentation index at: https://docs.saucerswap.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the LARI rewards for the current epoch by account id

| Hedera Network | Base URL                                                                   |
| -------------- | -------------------------------------------------------------------------- |
| Mainnet        | [https://api.saucerswap.finance](https://api.saucerswap.finance)           |
| Testnet        | [https://test-api.saucerswap.finance](https://test-api.saucerswap.finance) |
| Previewnet     | *Not supported*                                                            |


## OpenAPI

````yaml GET /v2/rewards/account/{accountId}
openapi: 3.0.4
info:
  title: SaucerSwap REST API
  version: 1.0.0
servers:
  - url: https://api.saucerswap.finance
  - url: https://test-api.saucerswap.finance
security: []
paths:
  /v2/rewards/account/{accountId}:
    get:
      tags:
        - SaucerSwap V2
      summary: Get the LARI rewards for the current epoch by account id
      parameters:
        - $ref: '#/components/parameters/ApiKeyParam'
        - name: accountId
          description: Hedera account id (shard.realm.num)
          in: path
          required: true
          schema:
            type: string
            example: 0.0.12345
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LariData'
components:
  parameters:
    ApiKeyParam:
      name: x-api-key
      in: header
      required: true
      schema:
        type: string
        default: 875e1017-87b8-4b12-8301-6aa1f1aa073b
      description: >-
        API key for authentication. The demo api key provided is globally rate
        limited. Do not use in production.
  schemas:
    LariData:
      type: object
      properties:
        poolId:
          type: integer
          example: 3
          description: Pool id
        tokenId:
          type: string
          description: Token id (shard.realm.num)
          example: 0.0.731861
        reward:
          type: number
          format: float
          example: 8.658995217249792
          description: Estimated accrued token reward for the current epoch, updated hourly
        timestampSeconds:
          type: integer
          example: 1750971600
          description: Timestamp in unix seconds
        isFinal:
          type: boolean
          example: false
          description: >-
            Indicates whether the epoch has concluded. Returns `true` if the
            epoch is complete
      required:
        - poolId
        - timestampSeconds
        - liquidity
        - volume

````